org.springframework.web.servlet.config.annotation

## Class ViewControllerRegistry

- java.lang.Object
- - org.springframework.web.servlet.config.annotation.ViewControllerRegistry

    public class ViewControllerRegistry
    extends Object

Stores registrations of view controllers. A view controller does nothing more than return a specified view name. It saves you from having to write a controller when you want to forward the request straight through to a view such as a JSP.

Since:
  3.1
Author:
  Rossen Stoyanchev, Keith Donald

### Constructor Summary

Constructors
Constructor and Description
`ViewControllerRegistry()`

### Method Summary

Methods
`ViewControllerRegistration` `addViewController(String urlPath)`
`protected AbstractHandlerMapping` `getHandlerMapping()` Returns a handler mapping with the mapped ViewControllers; or `null` in case of no registrations.
`void` `setOrder(int order)` Specify the order to use for ViewControllers mappings relative to other `HandlerMapping`s configured in the Spring MVC application context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewControllerRegistry

    public ViewControllerRegistry()

### Method Detail

#### addViewController

    public ViewControllerRegistration addViewController(String urlPath)

#### setOrder

    public void setOrder(int order)

Specify the order to use for ViewControllers mappings relative to other `HandlerMapping`s configured in the Spring MVC application context. The default value for view controllers is 1, which is 1 higher than the value used for annotated controllers.

#### getHandlerMapping

    protected AbstractHandlerMapping getHandlerMapping()

Returns a handler mapping with the mapped ViewControllers; or `null` in case of no registrations.